package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 奖项配置枚举
 */
@AllArgsConstructor
@Getter
public enum EBonusItems {

    /**
     * 分红收益
     */
    DIVIDEND_INCOME(6, "分红收益", 0),

    ////////////////////////////////////////////////// 新奖项 //////////////////////////////////////////////////

    /**
     * 直推收益 -- 精品专区
     */
    DIRECT_INCOME(20, "直推收益", 1),
    /**
     * 阶段收益 -- 精品专区、商城专区
     */
    STAGE_INCOME(21, "阶段收益", 0),

    /**
     * 领导奖收益 -- 精品专区、商城专区、五折专区
     */
    RANGE_INCOME(22, "领导奖收益", 0),
    /**
     * 平级奖收益 -- 精品专区、商城专区
     */
    SAME_LEVEL_INCOME(23, "平级奖收益", 0),

    /**
     * 见点收益 -- 商城专区
     */
    REPUR_DIRECT_INCOME(30, "见点收益", 0),

    /**
     * 赠品积分 -- 精品专区
     */
    GIFT_POINT(31, "赠品积分", 0),

    ;

    public static EBonusItems getEnumByValue(int value) {
        for (EBonusItems eBonusItems : EBonusItems.values()) {
            if (eBonusItems.getValue() == value) {
                return eBonusItems;
            }
        }
        return null;
    }

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
}
